Subject: bug#21305: 25.0.50; `get-buffer-window-list' doc - what order?

From: Stefan Monnier <[email-masked]>
Date: Sat, 22 Aug 2015 12:01:38 -0400

>> `get-buffer-window-list' is in window.el.  Couldn't you try giving
>> it a fourth argument, say SORT, which, if `lru-first' or `mru-first',
>> would cause it to return the windows in the corresponding order?
> Patch attached.

FWIW, I think adding an argument for that is a bad idea.  If the caller
needs the windows sorted in a particular way, then *he* should
sort them.

It would make sense to provide sorting directly in the function if the
sorting can't be done, or not as efficiently, after the fact.
But that is not the case here.

        Stefan